# QBase.jl

*A base library for quantum information.*

[![Latest](https://img.shields.io/badge/docs-latest-blue.svg)](https://ChitambarLab.github.io/QBase.jl/dev)
[![Test Status](https://github.com/ChitambarLab/QBase.jl/actions/workflows/run_tests.yml/badge.svg?branch=main)](https://github.com/ChitambarLab/QBase.jl/actions/workflows/run_tests.yml)
[![Coverage](https://codecov.io/gh/ChitambarLab/QBase.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/chitambarlab/QBase.jl)
[![DOI](https://zenodo.org/badge/272202430.svg)](https://zenodo.org/badge/latestdoi/272202430)



## Features:
  1. Types and constructors for representing quantum states and operators.
  2. Methods for evolving quantum systems and performing quantum measurements.
  3. Methods for computing information-theoretic quantities.
  4. Mathematics utilities to support quantum calculations.

## Installation

```
julia> using Pkg; Pkg.add("QBase")
```

## Citing

Please see [`CITATION.bib`](https://github.com/ChitambarLab/QBase.jl/blob/master/CITATION.bib)
for reference of this work.

## Licensing

QBase.jl is released under the MIT License.

## Acknowledgements

Development of QBase.jl was made possible by the advisory of Dr. Eric Chitambar
and general support from the Physics Department at the University of Illinois
Urbana-Champaign. Funding was provided by NSF Award 1914440.
